Subject: Re: CAL-QUERY value type - description

From: Doug Royer <[email-masked]>
Date: Thu, 21 Feb 2002 12:24:33 -0700

> >   Value Name: CAP-QUERY
> >
> >   Value Type Purpose: To define a selection language for identifying
> >   the contents of iCalendar objects.
> 
> That's the purpose of this section, not of the value type
> per say.  Based on the description of other "value type
> purposes", I think it would be more appropriate to write
> the following:
> 
>   This value type is used to identify values that contain
>   query statements targeted to a calendar store (CS).

For the most part - yes. But it is a general 2445 property
value type we are registering. So, I'll replace "calendar
store (cs)" with something generic.

One of the goals we had in 2445 was that we tried not
to define which draft or objects the properties were
used in so that we could re-use them at a later time
and not have to retrofit an existing RFC.

Date: Thu, 21 Feb 2002 10:45:24 -0700
From: Doug Royer <[email-masked]>
Reply-To: [email-masked]
Organization: INET-Consulting <http://INET-Consulting.com>
Subject: Re: CAL-QUERY value type - description
Sender: [email-masked]

This is a multi-part message in MIME format.
--------------46A6114A91099106F42878EF
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Bernard Desruisseaux wrote:

> >   Value Name: CAP-QUERY
> >
> >   Value Type Purpose: To define a selection language for identifying
> >   the contents of iCalendar objects.
> 
> That's the purpose of this section, not of the value type
> per say.  Based on the description of other "value type
> purposes", I think it would be more appropriate to write
> the following:
> 
>   This value type is used to identify values that contain
>   query statements targeted to a calendar store (CS).

For the most part - yes. But it is a general 2445 property
value type we are registering. So, I'll replace "calendar
store (cs)" with something generic.

One of the goals we had in 2445 was that we tried not
to define which draft or objects the properties were
used in so that we could re-use them at a later time
and not have to retrofit an existing RFC.
--------------46A6114A91099106F42878EF
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com>
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;-8832
fn:Doug Royer
end:vcard

--------------46A6114A91099106F42878EF--

Sender: [email-masked]
Date: Thu, 21 Feb 2002 10:54:13 -0700
From: Doug Royer <[email-masked]>
Reply-To: [email-masked]
Organization: INET-Consulting <http://INET-Consulting.com>
To: Bernard Desruisseaux <[email-masked]>
Subject: Re: CAL-QUERY value type (YOU,OR)

This is a multi-part message in MIME format.
--------------DA616DCE534CAE1709339829
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Bernard Desruisseaux wrote:

> 
> >   (3) You CAN NOT do any cross component-type joins. And that means
> >       you can ONLY have one component, OR one VAGENDA OR one CALSTORE
> >       in the the FROM clause.
> 
> We should rephrase this paragraph to avoid using
> "You" in the draft.  Also, "CAN NOT", "ONLY" and
> "OR" are not defined in RFC 2119.

Agree.
--------------DA616DCE534CAE1709339829
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com>
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;-8832
fn:Doug Royer
end:vcard

--------------DA616DCE534CAE1709339829--